
QGIS Application - Bug report #12488

Impossible to merge features in a point shapefile

2015-04-01 08:36 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20635

Description

Open and toggle to edition a point shapefile layer

select two features and click on "Merge selected features" button.

Try to save. You get an error 

Could not commit changes to layer teste

 Errors: ERROR: 1 feature(s) not added.

 Provider errors:

      OGR error creating feature -7: Attempt to write non-point (MULTIPOINT) geometry to point shapefile.

If you cancel modifications, you lose features you were trying to merge.

Tested from QGIS 2.9 to 2.4 without success.

There is a solved issue about such error message (#10747) though it's about copy-paste point features between different layers.

Related issues:

Related to QGIS Application - Bug report # 10747: Cannot copy/paste points fe... Closed 2014-06-28

Related to QGIS Application - Bug report # 16758: regression: adding a multi-... Closed 2017-06-27

Associated revisions

Revision 8289891b - 2015-06-09 05:01 PM - Jürgen Fischer

Move information about strict provider geometry type check on point shapefiles

to OGR provider and make use of it when pasting & merging features

(fixes #12488, refs #10672, refs #10747)

TODO: check if other OGR drivers have similar restrictions.

Revision ce99b8ef - 2015-06-29 06:49 PM - Jürgen Fischer

Move information about strict provider geometry type check on point shapefiles

to OGR provider and make use of it when pasting & merging features

(fixes #12488, refs #10672, refs #10747)

TODO: check if other OGR drivers have similar restrictions.

(cherry picked from commit 8289891b78953581f22e944565e0e1c9678a09c3)

History

#1 - 2015-04-01 11:44 AM - Giovanni Manghi
- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Category set to Digitising

this happens down to until qgis 1.8 at least... and losing data this way is not nice.

#2 - 2015-06-09 08:05 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"8289891b78953581f22e944565e0e1c9678a09c3".

#3 - 2017-07-05 06:47 PM - Jürgen Fischer

- Related to Bug report #16758: regression: adding a multi-part feature to a shapefile dataset fails added
